/**
 * @author Nic Mulvaney
 */
 

function openURL(url){
    var request = new air.URLRequest(url);          
    air.navigateToURL(request);
    
}


	
function ajax(url, func, data, error){
	if(!error){error=ajaxError;}
	air.trace('Ajax Call: '+ url);
	$.ajax({
		type: "GET",
		dataType: "xml",
		url: url,
		cache: false,
		success: func,
		data: data,
		error: error
	});
}

	
jQuery.preloadImages = function()
{
  for(var i = 0; i<arguments.length; i++)
  {
    jQuery("<img>").attr("src", arguments[i]);
    jQuery("<div>").css("background-image", "url("+arguments[i]+")");
  }
}



function trace(value){
	//$("#trace").append(value+'<br />');
}

function replaceHtml(el, html) {
	var oldEl = typeof el === "string" ? document.getElementById(el) : el;
	var newEl = oldEl.cloneNode(false);
	newEl.innerHTML = html;
	oldEl.parentNode.replaceChild(newEl, oldEl);
	return newEl;
};

function display(div, content, clear){
    log = $('#'+div);
    if (clear) {
        //log.empty(); // TOO SLOW
        //log.html(content);
        replaceHtml(div, content) ;
    }
    else {
        log.append(content);
    }
}



function activity(value){
	if (value) {
		//$('#activity').show();
	}else{
		$('#activity').hide();
	}
}

function displayTitle(value){
	//$('title').html('Spotlist');// | '+value);
	 //display("header", 'clear');
	// display("header", '<div class="logintitle titling blue left" id="main_title">'+value+'</div>');
}


function ajaxError( e ){
	air.trace(e);
	activity(false);
	display('status','clear');
	display('status','Error contacting server.');
}




function blink(obj, run){
	if(!run){obj.stop();obj.fadeTo("slow",1);return;}
	var alt = 0;
	obj.fadeTo("slow", .25, function f2(){
		$(this).fadeTo("slow", alt ? '.25' : '.5', f2);
		alt = !alt;
	});
}

function trim(str){
	return str.replace(/^\s\s*/, '').replace(/\s\s*$/, '');
}


	
function stripslashes(str) {
str=str.replace(/\\'/g,'\'');
str=str.replace(/\\"/g,'"');
str=str.replace(/\\\\/g,'\\');
str=str.replace(/\\0/g,'\0');
return str;
}

function padout(number) { return (number < 10) ? '0' + number : number; }
